Subject: Re: bug#50067: Context menus

From: Tak Kunihiro <[email-masked]>
Date: Sat, 21 Aug 2021 13:43:53 +0900

I’m new to 28 and it will take a while to adopt to it.
I’m sending comments so far.

* Binding

I suggest to assign [drag-mouse-3] as well, as shown below.

(define-key map [mouse-3] context-menu-entry)
(define-key map [drag-mouse-3] context-menu-entry)
 
On Mac, I suggest to assign [C-double-mouse-1] as well as shown below.

(define-key map [C-down-mouse-1] #'ignore)
(define-key map [C-mouse-1] context-menu-entry)
(define-key map [C-double-mouse-1] context-menu-entry)
(define-key map [C-triple-mouse-1] context-menu-entry)
(define-key map [C-drag-mouse-1] context-menu-entry)

* Error detection system

It is good if the context-menu system is ready for
an error that occurs on one of context-menu-functions.
For now, when there is error, Emacs only tells
`<mouse-3> is undefined'.

* Long click system

It’s time to discuss long-left-click also as trigger to
show context menu.

https://lists.gnu.org/archive/html/emacs-devel/2017-11/msg00267.html
https://lists.gnu.org/archive/html/emacs-devel/2020-09/msg01277.html

* Open by other frame

File would be opened by this window. Sometimes I want to open it by
other frame.  It is good if which window to open, is selectable after
showing context-menu. I do not know how to do so.

* Details

It is handy to have buffer menu when right click mode bar.

(define-key map [remap buffer-menu-open] context-menu-entry)

Also it is handy to have frame menu when right click title bar.
I do not know how to do so.

Also it is nice to show word candidates by ispell when click a word.